Skip to main content
POST
/
organization
/
{organizationId}
/
onboarding
Update the onboarding status of an organization
curl --request POST \
  --url https://api.qovery.com/organization/{organizationId}/onboarding \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "use_cases": "ephemeral-environments,rde"
}

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

Body

application/json
status
enum<string>
required
Available options:
IN_PROGRESS,
DISMISSED,
COMPLETED

Response

Updated onboarding status

use_cases
string | null

Comma-separated list of use cases selected by the organization owner at sign-up (e.g. "ephemeral-environments,rde")

Example:

"ephemeral-environments,rde"

status
enum<string>
Available options:
IN_PROGRESS,
DISMISSED,
COMPLETED